Groovy JDK

## java.math
Class BigInteger

Method Summary
`void` | `downto(Number to, Closure closure)` Iterates from this number down to the given number, inclusive, decrementing by one each time

`void`

`upto(Number to, Closure closure)`
Iterates from this number up to the given number, inclusive, incrementing by one each time

    0
    println it
    }

Prints numbers 0 to 10

Method Detail

### downto

    public void downto(Number to, Closure closure)

  Iterates from this number down to the given number, inclusive, decrementing by one each time.

Parameters:
  `to` - the end number.
  `closure` - the code to execute for each number.

### upto

    public void upto(Number to, Closure closure)

  Iterates from this number up to the given number, inclusive, incrementing by one each time. Example:

      0.upto( 10 ) {
      println it
      }

  Prints numbers 0 to 10

Parameters:
  `to` - the end number.
  `closure` - the code to execute for each number.

Groovy JDK